package com.ruoyi.system.service.impl.projectV2;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.projectV2.ZsyzJzqk;
import com.ruoyi.system.mapper.projectV2.ZsyzJzqkMapper;
import com.ruoyi.system.service.projectV2.IZsyzJzqkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
/**
 * 招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)Service业务层处理
 * 
 * @author boman
 * @date 2023-02-25
 */
@Service
public class ZsyzJzqkServiceImpl implements IZsyzJzqkService
{
    @Autowired
    private ZsyzJzqkMapper zsyzJzqkMapper;

    /**
     * 查询招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
     * 
     * @param id 招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)主键
     * @return 招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
     */
    @Override
    public ZsyzJzqk selectZsyzJzqkById(Long id)
    {
        return zsyzJzqkMapper.selectZsyzJzqkById(id);
    }

    /**
     * 查询招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)列表
     * 
     * @param zsyzJzqk 招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
     * @return 招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
     */
    @Override
    public List<ZsyzJzqk> selectZsyzJzqkList(ZsyzJzqk zsyzJzqk)
    {
        return zsyzJzqkMapper.selectZsyzJzqkList(zsyzJzqk);
    }

    /**
     * 新增招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
     * 
     * @param zsyzJzqk 招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
     * @return 结果
     */
    @Override
    public int insertZsyzJzqk(ZsyzJzqk zsyzJzqk)
    {
        zsyzJzqk.setCreateTime(DateUtils.getNowDate());
        return zsyzJzqkMapper.insertZsyzJzqk(zsyzJzqk);
    }

    /**
     * 修改招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
     * 
     * @param zsyzJzqk 招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
     * @return 结果
     */
    @Override
    public int updateZsyzJzqk(ZsyzJzqk zsyzJzqk)
    {
        zsyzJzqk.setUpdateTime(DateUtils.getNowDate());
        return zsyzJzqkMapper.updateZsyzJzqk(zsyzJzqk);
    }

    /**
     * 批量删除招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)
     * 
     * @param ids 需要删除的招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)主键
     * @return 结果
     */
    @Override
    public int deleteZsyzJzqkByIds(Long[] ids)
    {
        return zsyzJzqkMapper.deleteZsyzJzqkByIds(ids);
    }

    /**
     * 删除招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)信息
     * 
     * @param id 招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)主键
     * @return 结果
     */
    @Override
    public int deleteZsyzJzqkById(Long id)
    {
        return zsyzJzqkMapper.deleteZsyzJzqkById(id);
    }
}
